Bug 109557 - Error-handling of <fieldset>
Summary: Error-handling of <fieldset>
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml parsing (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-24 15:40 UTC by Eike Welk
Modified: 2007-10-13 12:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Welk 2005-07-24 15:40:09 UTC
Version:           3.4.0 (using KDE 3.4.0 Level "b" , SUSE 9.3)
Compiler:          gcc version 3.3.5 20050117 (prerelease) (SUSE Linux)
OS:                Linux (i686) release 2.6.11.4-21.7-default

The website:
http://mab.mta.hu/~szeidl/contents.php?number=+1+&volume=6#number
is rendered the wrong way. 

The rectangular frames around each article are drawn nested in Konqueror. Firefox renders them correctly, each frame only around one article.
Comment 1 Thiago Macieira 2005-07-29 05:42:03 UTC
Bad HTML in the site:

Excerpt:
<fieldset>
[...]
<DL>
[...]
</fieldset></DL>

khtml thinks fieldset never closed.

Confirmed on trunk 437796.
Comment 2 Allan Sandfeld 2006-06-16 19:05:00 UTC
Optimizing bug title
Comment 3 Allan Sandfeld 2007-10-13 12:56:57 UTC
SVN commit 724766 by carewolf:

 Update HTML-Parser to parse more HTML5 like, and allow custom HTML tags. This
 makes us more compatible with IceWeasel and Opera
 BUG: 109557
 BUG: 102209
 CCBUG: 148715
 CCBUG: 150694



 M  +8 -0      ChangeLog  
 M  +39 -40    html/dtd.cpp  
 M  +19 -2     html/dtd.h  
 M  +3 -3      html/html_elementimpl.cpp  
 M  +73 -34    html/htmlparser.cpp  
 M  +2 -0      html/htmlparser.h  
 M  +8 -6      html/htmltokenizer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=724766